{"openapi":"3.0.0","info":{"title":"AviationStack","description":"The aviationstack API was built to provide a simple way of accessing global aviation data for real-time and historical flights as well as allow customers to tap into an extensive data set of airline routes and other up-to-date aviation-related information. Requests to the REST API are made using a straightforward HTTP GET URL structure and responses are provided in lightweight JSON format. The following API documentation can be applied for any major programming language and will present general integration guides and explanations around API endpoints, request parameters and response objects. If any questions remain unanswered for you, simply reach out to the aviationstack support team for assistance.","version":"1.0.0"},"servers":[{"url":"https://api.aviationstack.com","description":"Production server"}],"security":[{"ApiKeyAuth":[]}],"tags":[{"name":"API Endpoints","description":"API Endpoints"}],"paths":{"/v1/flights":{"get":{"tags":["API Endpoints"],"summary":"Real-Time Flights and Historical Flights.","description":"# Real-Time Flights\n     * The API is capable of tracking flights and retrieving flight status information in real-time. In order to look up real-time information about one or multiple flights, you can use the API's flights endpoint together with optional parameters to filter your result set.\n     * # Historical Flights\n     * Apart from providing data about real-time flight, the API's flights endpoint is also capable of looking up data about historical flights. In order to request data about one or more past flights, simply attach the flight_date parameter to your API request URL and set it to a date of your choice.","operationId":"getFlights","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"name":"flight_status","in":"query","description":"Filter your results by flight status. Available values: scheduled, active, landed, cancelled, incident, diverted","required":false,"schema":{"type":"string","enum":["scheduled","active","landed","cancelled","incident","diverted"]}},{"name":"flight_date","in":"query","description":"Filter your results by providing a flight date in the format YYYY-MM-DD. Example: 2019-02-31\n     *\n     * **Note:** Aviationstack provides historical data for the last 12 months only.\n     *\n     * **Note:** The API response returned for historical flights is identical to the API response returned for real-time flight data. To see the API response, please jump to the Real-Time Flights section.","required":false,"schema":{"type":"string","format":"date"}},{"name":"dep_iata","in":"query","description":"Filter your results by departure city or airport using an IATA code. You can retrieve IATA codes using the Airports or Cities API endpoints.","required":false,"schema":{"type":"string"}},{"name":"arr_iata","in":"query","description":"Filter your results by arrival city or airport using an IATA code. You can retrieve IATA codes using the Airports or Cities API endpoints.","required":false,"schema":{"type":"string"}},{"name":"dep_icao","in":"query","description":"Filter your results by departure airport using an ICAO code. You can retrieve ICAO codes using the Airports API endpoint.","required":false,"schema":{"type":"string"}},{"name":"arr_icao","in":"query","description":"Filter your results by arrival airport using an ICAO code. You can retrieve ICAO codes using the Airports API endpoint.","required":false,"schema":{"type":"string"}},{"name":"airline_name","in":"query","description":"Filter your results by airline name. You can retrieve airline names using the Airlines API endpoint.","required":false,"schema":{"type":"string"}},{"name":"airline_iata","in":"query","description":"Filter your results by airline IATA code. You can retrieve airline IATA codes using the Airlines API endpoint.","required":false,"schema":{"type":"string"}},{"name":"airline_icao","in":"query","description":"Filter your results by airline ICAO code. You can retrieve airline ICAO codes using the Airlines API endpoint.","required":false,"schema":{"type":"string"}},{"name":"flight_number","in":"query","description":"Filter your results by providing a flight number. Example: 2557.","required":false,"schema":{"type":"string"}},{"name":"flight_iata","in":"query","description":"Filter your results by providing a flight IATA code. Example: MU2557.","required":false,"schema":{"type":"string"}},{"name":"flight_icao","in":"query","description":"Filter your results by providing a flight ICAO code. Example: CES2557.","required":false,"schema":{"type":"string"}},{"name":"min_delay_dep","in":"query","description":"Filter your results by providing a minimum amount of minutes in departure delay. Example: 7 for seven minutes of delay in departure.","required":false,"schema":{"type":"integer","minimum":0}},{"name":"min_delay_arr","in":"query","description":"Filter your results by providing a minimum amount of minutes in arrival delay. Example: 7 for seven minutes of delay in arrival.","required":false,"schema":{"type":"integer","minimum":0}},{"name":"max_delay_dep","in":"query","description":"Filter your results by providing a maximum amount of minutes in departure delay. Example: 60 for one hour of delay in departure.","required":false,"schema":{"type":"integer","minimum":0}},{"name":"max_delay_arr","in":"query","description":"Filter your results by providing a maximum amount of minutes in arrival delay. Example: 60 for one hour of delay in arrival.","required":false,"schema":{"type":"integer","minimum":0}},{"name":"arr_scheduled_time_arr","in":"query","description":"Filter your results by arrival scheduled date. [Format: YYYY-MM-DD]","required":false,"schema":{"type":"string","format":"date"}},{"name":"dep_scheduled_time_dep","in":"query","description":"Filter your results by departure scheduled date. [Format: YYYY-MM-DD]","required":false,"schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Flights"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/routes":{"get":{"tags":["API Endpoints"],"summary":"Airline Routes.","description":"The aviationstack API is capable of providing data about airline routes, updated every 24 hours. In order to get airline route data, use the API's routes endpoint along with a series of optional parameters to filter results.","operationId":"getRoutes","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"name":"flight_number","in":"query","description":"Filter your results by providing a flight number. Example: 2557","required":false,"schema":{"type":"string"}},{"name":"dep_iata","in":"query","description":"Filter your results by departure city or airport using an IATA code. You can retrieve IATA codes using the Airports or Cities API endpoints.","required":false,"schema":{"type":"string"}},{"name":"arr_iata","in":"query","description":"Filter your results by arrival city or airport using an IATA code. You can retrieve IATA codes using the Airports or Cities API endpoints.","required":false,"schema":{"type":"string"}},{"name":"dep_icao","in":"query","description":"Filter your results by departure airport using an ICAO code. You can retrieve ICAO codes using the Airports API endpoint.","required":false,"schema":{"type":"string"}},{"name":"arr_icao","in":"query","description":"Filter your results by arrival airport using an ICAO code. You can retrieve ICAO codes using the Airports API endpoint.","required":false,"schema":{"type":"string"}},{"name":"airline_iata","in":"query","description":"Filter your results by airline IATA code. You can retrieve airline IATA codes using the Airlines API endpoint.","required":false,"schema":{"type":"string"}},{"name":"airline_icao","in":"query","description":"Filter your results by airline ICAO code. You can retrieve airline ICAO codes using the Airlines API endpoint.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Routes"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/airports":{"get":{"tags":["API Endpoints"],"summary":"Airports.","description":"To get data about global airports, you can use the API's airports endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get airport autocomplete suggestions.","operationId":"getAirports","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Airports"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/timetable":{"get":{"tags":["API Endpoints"],"summary":"Flight Schedules (Timetable).","description":"The API's timetable endpoint returns real-time flight schedules (departures and arrivals) for a given airport. Specify the airport IATA code and the schedule type (departure or arrival) you are interested in.\n     *\n     * **Note:** The `/timetable` and `/flightsFuture` endpoints have rate limits of 1 request every 10 seconds for Paid Plans and 1 request every 60 seconds for Free Plans, and exceeding these limits may result in throttling.","operationId":"getFlightSchedule","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"name":"iataCode","in":"query","description":"IATA code of the airport for which the flight schedule should be retrieved. Example: JFK","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","description":"The type of schedule to retrieve. Available values: departure, arrival","required":true,"schema":{"type":"string","enum":["departure","arrival"]}},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"name":"status","in":"query","description":"Filter your results by flight status. Available values: landed, scheduled, cancelled, active, incident, diverted, redirected, unknown","required":false,"schema":{"type":"string","enum":["landed","scheduled","cancelled","active","incident","diverted","redirected","unknown"]}},{"name":"airline_name","in":"query","description":"Filter your results by airline name.","required":false,"schema":{"type":"string"}},{"name":"airline_iata","in":"query","description":"Filter your results by airline IATA code.","required":false,"schema":{"type":"string"}},{"name":"airline_icao","in":"query","description":"Filter your results by airline ICAO code.","required":false,"schema":{"type":"string"}},{"name":"flight_iata","in":"query","description":"Filter your results by flight IATA code.","required":false,"schema":{"type":"string"}},{"name":"flight_icao","in":"query","description":"Filter your results by flight ICAO code.","required":false,"schema":{"type":"string"}},{"name":"flight_num","in":"query","description":"Filter your results by flight number.","required":false,"schema":{"type":"string"}},{"name":"dep_terminal","in":"query","description":"Filter your results by departure terminal.","required":false,"schema":{"type":"string"}},{"name":"dep_delay","in":"query","description":"Filter your results by departure delay (minutes).","required":false,"schema":{"type":"integer","minimum":0}},{"name":"dep_schTime","in":"query","description":"Filter your results by departure scheduled time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dep_estTime","in":"query","description":"Filter your results by departure estimated time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dep_actTime","in":"query","description":"Filter your results by departure actual time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dep_estRunway","in":"query","description":"Filter your results by departure estimated runway time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"dep_actRunway","in":"query","description":"Filter your results by departure actual runway time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"arr_terminal","in":"query","description":"Filter your results by arrival terminal.","required":false,"schema":{"type":"string"}},{"name":"arr_delay","in":"query","description":"Filter your results by arrival delay (minutes).","required":false,"schema":{"type":"integer","minimum":0}},{"name":"arr_schTime","in":"query","description":"Filter your results by arrival scheduled time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"arr_estTime","in":"query","description":"Filter your results by arrival estimated time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"arr_actTime","in":"query","description":"Filter your results by arrival actual time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"arr_estRunway","in":"query","description":"Filter your results by arrival estimated runway time.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"arr_actRunway","in":"query","description":"Filter your results by arrival actual runway time.","required":false,"schema":{"type":"string","format":"date-time"}},{"$ref":"#/components/parameters/Callback"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Timetable"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/airplanes":{"get":{"tags":["API Endpoints"],"summary":"AirPlanes.","description":"To get data about different airplanes/aircrafts, you can use the API's airplanes endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get airplane autocomplete suggestions.","operationId":"getAirplanes","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AirPlanes"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/airlines":{"get":{"tags":["API Endpoints"],"summary":"Airlines.","description":"To get data about global airlines, you can use the API's airlines endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get airline autocomplete suggestions.","operationId":"getAirlines","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AirLines"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/cities":{"get":{"tags":["API Endpoints"],"summary":"Cities","description":"To look up destination cities, you can use the API's cities endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get city autocomplete suggestions.","operationId":"getCities","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Cities"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/countries":{"get":{"tags":["API Endpoints"],"summary":"Countries","description":"To look up destination countries, you can use the API's countries endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get country autocomplete suggestions.","operationId":"getCountries","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Countries"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/taxes":{"get":{"tags":["API Endpoints"],"summary":"Aviation Taxes","description":"To get data about aviation taxes, you can use the API's taxes endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get autocomplete suggestions.","operationId":"getTaxes","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Taxes"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/aircraft_types":{"get":{"tags":["API Endpoints"],"summary":"Aircraft Types","description":"To get data about different aircraft types, you can use the API's aircraft_types endpoint. Customers subscribed to the Basic Plan or higher may also make use of the search request parameter to get aircraft type autocomplete suggestions.","operationId":"getAircraftTypes","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"$ref":"#/components/parameters/Callback"},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Search"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AirCraftTypes"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}},"/v1/flightsFuture":{"get":{"tags":["API Endpoints"],"summary":"Future Flight Schedules.","description":"The API's flightsFuture endpoint returns flight schedules for a future date. Specify the airport IATA code, the schedule type (departure or arrival) and the date you are interested in.\n     *\n     *\n**Note:** Flight blocks within a codeshared block take precedence over those outside it for filtering purposes. So, if there is a flight block inside codeshared, then it will search the query param to match in this `codeshared>flight>iataNumber`. If codeshared block is not present then it will refer to the `flight>iataNumber`.\n     *\n     *\n**Note:** The `/timetable` and `/flightsFuture` endpoints have rate limits of 1 request every 10 seconds for Paid Plans and 1 request every 60 seconds for Free Plans, and exceeding these limits may result in throttling. Also, we do not include very low-traffic airports (like CDT, which has around 10 or fewer flights per day) in our feeds.","operationId":"getFutureFlights","parameters":[{"$ref":"#/components/parameters/AccessKey"},{"name":"iataCode","in":"query","description":"IATA code of the airport for which the future flight schedule should be retrieved. Example: JFK","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","description":"The type of schedule to retrieve. Available values: departure, arrival","required":true,"schema":{"type":"string","enum":["departure","arrival"]}},{"name":"date","in":"query","description":"The future date for which the flight schedule should be retrieved, in the format YYYY-MM-DD.","required":true,"schema":{"type":"string","format":"date"}},{"name":"airline_iata","in":"query","description":"Filter your results by airline IATA code.","required":false,"schema":{"type":"string"}},{"name":"airline_icao","in":"query","description":"Filter your results by airline ICAO code.","required":false,"schema":{"type":"string"}},{"name":"flight_number","in":"query","description":"Filter your results by flight number.","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/Limit"},{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Callback"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlightsFuture"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitReached"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/Maintenance"}}}}},"components":{"schemas":{"ApiError":{"type":"object","description":"Standard apilayer error envelope, shared by every error response.","required":["success","error"],"properties":{"success":{"type":"boolean","example":false},"error":{"type":"object","required":["code","type"],"properties":{"code":{"type":"integer","description":"apilayer numeric error code (the code the API returns in the body, e.g. 101 for an invalid access key — NOT the HTTP status).","example":101},"type":{"type":"string","description":"Machine-readable error type.","example":"invalid_access_key"},"info":{"type":"string","description":"Human-readable error detail.","example":"You have not supplied a valid API Access Key. [Technical Support: support@apilayer.com]"}}}}},"Pagination":{"properties":{"limit":{"type":"integer","format":"int64"},"offset":{"type":"integer","format":"int64"},"count":{"type":"integer","format":"int64"},"total":{"type":"integer","format":"int64"}},"type":"object"},"DataDeparture":{"properties":{"airport":{"type":"string"},"timezone":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"},"terminal":{"type":"string"},"gate":{"type":"string"},"delay":{"type":"integer"},"scheduled":{"type":"string"},"estimated":{"type":"string"},"actual":{"type":"string"},"estimated_runway":{"type":"string"},"actual_runway":{"type":"string"},"baggage":{"type":"string"}},"type":"object"},"DataAirline":{"properties":{"name":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"}},"type":"object"},"DataFlight2":{"properties":{"number":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"},"codeshared":{"properties":{"airline_name":{"type":"string"},"airline_iata":{"type":"string"},"airline_icao":{"type":"string"},"flight_number":{"type":"string"},"flight_iata":{"type":"string"},"flight_icao":{"type":"string"}},"type":"object","nullable":true}},"type":"object"},"DataAircraft":{"properties":{"registration":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"},"icao24":{"type":"string"}},"type":"object"},"Datalive":{"properties":{"updated":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"altitude":{"type":"number"},"direction":{"type":"number"},"speed_horizontal":{"type":"number"},"speed_vertical":{"type":"number"},"is_ground":{"type":"boolean"}},"type":"object"},"DataFlight":{"properties":{"flight_date":{"type":"string"},"flight_status":{"type":"string"},"departure":{"$ref":"#/components/schemas/DataDeparture"},"arrival":{"$ref":"#/components/schemas/DataDeparture"},"airline":{"$ref":"#/components/schemas/DataAirline"},"flight":{"$ref":"#/components/schemas/DataFlight2"},"aircraft":{"$ref":"#/components/schemas/DataAircraft"},"live":{"$ref":"#/components/schemas/Datalive"}},"type":"object"},"Flights":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DataFlight"}}},"type":"object","example":{"pagination":{"limit":100,"offset":0,"count":1,"total":1669022},"data":[{"flight_date":"2019-12-12","flight_status":"active","departure":{"airport":"San Francisco International","timezone":"America/Los_Angeles","iata":"SFO","icao":"KSFO","terminal":"2","gate":"D11","delay":13,"scheduled":"2019-12-12T04:20:00+00:00","estimated":"2019-12-12T04:20:00+00:00","actual":"2019-12-12T04:20:13+00:00","estimated_runway":"2019-12-12T04:20:13+00:00","actual_runway":"2019-12-12T04:20:13+00:00"},"arrival":{"airport":"Dallas/Fort Worth International","timezone":"America/Chicago","iata":"DFW","icao":"KDFW","terminal":"A","gate":"A22","baggage":"A17","delay":0,"scheduled":"2019-12-12T04:20:00+00:00","estimated":"2019-12-12T04:20:00+00:00","actual":null,"estimated_runway":null,"actual_runway":null},"airline":{"name":"American Airlines","iata":"AA","icao":"AAL"},"flight":{"number":"1004","iata":"AA1004","icao":"AAL1004","codeshared":null},"aircraft":{"registration":"N160AN","iata":"A321","icao":"A321","icao24":"A0F1BB"},"live":{"updated":"2019-12-12T10:00:00+00:00","latitude":36.2856,"longitude":-106.807,"altitude":8846.82,"direction":114.34,"speed_horizontal":894.348,"speed_vertical":1.188,"is_ground":false}}]}},"TimetableSchedule":{"properties":{"actualRunway":{"type":"string"},"actualTime":{"type":"string"},"baggage":{"type":"string"},"delay":{"type":"string"},"estimatedRunway":{"type":"string"},"estimatedTime":{"type":"string"},"gate":{"type":"string"},"iataCode":{"type":"string"},"icaoCode":{"type":"string"},"scheduledTime":{"type":"string"},"terminal":{"type":"string"}},"type":"object"},"TimetableAirline":{"properties":{"iataCode":{"type":"string"},"icaoCode":{"type":"string"},"name":{"type":"string"}},"type":"object"},"TimetableFlight":{"properties":{"iataNumber":{"type":"string"},"icaoNumber":{"type":"string"},"number":{"type":"string"}},"type":"object"},"TimetableAircraft":{"properties":{"icao24":{"type":"string"},"icaoCode":{"type":"string"},"regNumber":{"type":"string"}},"type":"object"},"TimetableData":{"properties":{"aircraft":{"$ref":"#/components/schemas/TimetableAircraft"},"airline":{"$ref":"#/components/schemas/TimetableAirline"},"arrival":{"$ref":"#/components/schemas/TimetableSchedule"},"codeshared":{"properties":{"airline":{"$ref":"#/components/schemas/TimetableAirline"},"flight":{"$ref":"#/components/schemas/TimetableFlight"}},"type":"object","nullable":true},"departure":{"$ref":"#/components/schemas/TimetableSchedule"},"flight":{"$ref":"#/components/schemas/TimetableFlight"},"status":{"type":"string"},"type":{"type":"string"}},"type":"object"},"Timetable":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TimetableData"}}},"type":"object","example":{"data":[{"airline":{"iataCode":"AV","icaoCode":"AVA","name":"SA AVIANCA"},"arrival":{"actualRunway":null,"actualTime":null,"baggage":null,"delay":"65","estimatedRunway":null,"estimatedTime":"2024-06-18T23:10:00.000","gate":"3","iataCode":"JFK","icaoCode":"KJFK","scheduledTime":"2024-06-18T22:05:00.000","terminal":"1"},"codeshared":null,"departure":{"actualRunway":"2024-06-18T20:46:00.000","actualTime":"2024-06-18T20:46:00.000","baggage":null,"delay":"97","estimatedRunway":"2024-06-18T20:46:00.000","estimatedTime":"2024-06-18T19:10:00.000","gate":"C4","iataCode":"TPE","icaoCode":"RCTP","scheduledTime":"2024-06-18T19:10:00.000","terminal":"2"},"flight":{"iataNumber":"AV4511","icaoNumber":"AVA4511","number":"4511"},"status":"scheduled","type":"arrival"}]}},"FutureFlightPoint":{"properties":{"iataCode":{"type":"string"},"icaoCode":{"type":"string"},"terminal":{"type":"string"},"gate":{"type":"string"},"scheduledTime":{"type":"string"}},"type":"object"},"FutureFlightAircraft":{"properties":{"modelCode":{"type":"string"},"modelText":{"type":"string"}},"type":"object"},"FutureFlightAirline":{"properties":{"name":{"type":"string"},"iataCode":{"type":"string"},"icaoCode":{"type":"string"}},"type":"object"},"FutureFlightInfo":{"properties":{"number":{"type":"string"},"iataNumber":{"type":"string"},"icaoNumber":{"type":"string"}},"type":"object"},"FutureFlightData":{"properties":{"weekday":{"type":"string"},"departure":{"$ref":"#/components/schemas/FutureFlightPoint"},"arrival":{"$ref":"#/components/schemas/FutureFlightPoint"},"aircraft":{"$ref":"#/components/schemas/FutureFlightAircraft"},"airline":{"$ref":"#/components/schemas/FutureFlightAirline"},"flight":{"$ref":"#/components/schemas/FutureFlightInfo"},"codeshared":{"properties":{"airline":{"$ref":"#/components/schemas/FutureFlightAirline"},"flight":{"$ref":"#/components/schemas/FutureFlightInfo"}},"type":"object","nullable":true}},"type":"object"},"FlightsFuture":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/FutureFlightData"}}},"type":"object","example":{"data":[{"weekday":"7","departure":{"iataCode":"BER","icaoCode":"EDDB","terminal":"1","gate":"B17","scheduledTime":"06:15"},"arrival":{"iataCode":"CDG","icaoCode":"LFPG","terminal":"2F","gate":"","scheduledTime":"08:05"},"aircraft":{"modelCode":"BCS3","modelText":"Airbus A220-300"},"airline":{"name":"","iataCode":"AM","icaoCode":"AM"},"flight":{"number":"5748","iataNumber":"AM5748","icaoNumber":"AM5748"},"codeshared":null}]}},"RouteEndpoint":{"properties":{"airport":{"type":"string"},"timezone":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"},"terminal":{"type":"string"},"time":{"type":"string"}},"type":"object"},"RouteAirline":{"properties":{"name":{"type":"string"},"callsign":{"type":"string"},"iata":{"type":"string"},"icao":{"type":"string"}},"type":"object"},"DataRoutes":{"properties":{"departure":{"$ref":"#/components/schemas/RouteEndpoint"},"arrival":{"$ref":"#/components/schemas/RouteEndpoint"},"airline":{"$ref":"#/components/schemas/RouteAirline"},"flight":{"properties":{"number":{"type":"string"}},"type":"object"}},"type":"object"},"Routes":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DataRoutes"}}},"type":"object"},"AirportData":{"properties":{"id":{"type":"string"},"airport_id":{"type":"string"},"airport_name":{"type":"string"},"iata_code":{"type":"string"},"icao_code":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"geoname_id":{"type":"string"},"timezone":{"type":"string"},"gmt":{"type":"string"},"phone_number":{"type":"string"},"country_name":{"type":"string"},"country_iso2":{"type":"string"},"city_iata_code":{"type":"string"}},"type":"object"},"Airports":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AirportData"}}},"type":"object"},"AirLineData":{"properties":{"id":{"type":"string"},"airline_id":{"type":"string"},"airline_name":{"type":"string"},"iata_code":{"type":"string"},"iata_prefix_accounting":{"type":"string"},"icao_code":{"type":"string"},"callsign":{"type":"string"},"type":{"type":"string"},"status":{"type":"string"},"fleet_size":{"type":"string"},"fleet_average_age":{"type":"string"},"date_founded":{"type":"string"},"hub_code":{"type":"string"},"country_name":{"type":"string"},"country_iso2":{"type":"string"}},"type":"object"},"AirLines":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AirLineData"}}},"type":"object"},"AirPlaneData":{"properties":{"id":{"type":"string"},"airplane_id":{"type":"string"},"registration_number":{"type":"string"},"production_line":{"type":"string"},"iata_type":{"type":"string"},"model_name":{"type":"string"},"model_code":{"type":"string"},"icao_code_hex":{"type":"string"},"iata_code_short":{"type":"string"},"iata_code_long":{"type":"string"},"construction_number":{"type":"string"},"test_registration_number":{"type":"string"},"rollout_date":{"type":"string"},"first_flight_date":{"type":"string"},"delivery_date":{"type":"string"},"registration_date":{"type":"string"},"line_number":{"type":"string"},"plane_series":{"type":"string"},"airline_iata_code":{"type":"string"},"airline_icao_code":{"type":"string"},"plane_owner":{"type":"string"},"engines_count":{"type":"string"},"engines_type":{"type":"string"},"plane_age":{"type":"string"},"plane_status":{"type":"string"},"plane_class":{"type":"string"}},"type":"object"},"AirPlanes":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AirPlaneData"}}},"type":"object"},"AirCraftTypeData":{"properties":{"id":{"type":"string"},"plane_type_id":{"type":"string"},"aircraft_name":{"type":"string"},"iata_code":{"type":"string"}},"type":"object"},"AirCraftTypes":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AirCraftTypeData"}}},"type":"object"},"TaxData":{"properties":{"id":{"type":"string"},"tax_id":{"type":"string"},"tax_name":{"type":"string"},"iata_code":{"type":"string"}},"type":"object"},"Taxes":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TaxData"}}},"type":"object"},"CityData":{"properties":{"id":{"type":"string"},"city_id":{"type":"string"},"city_name":{"type":"string"},"iata_code":{"type":"string"},"country_iso2":{"type":"string"},"latitude":{"type":"string"},"longitude":{"type":"string"},"timezone":{"type":"string"},"gmt":{"type":"string"},"geoname_id":{"type":"string"}},"type":"object"},"Cities":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CityData"}}},"type":"object"},"CountryData":{"properties":{"id":{"type":"string"},"country_id":{"type":"string"},"country_name":{"type":"string"},"country_iso2":{"type":"string"},"country_iso3":{"type":"string"},"country_iso_numeric":{"type":"string"},"population":{"type":"string"},"capital":{"type":"string"},"continent":{"type":"string"},"currency_name":{"type":"string"},"currency_code":{"type":"string"},"fips_code":{"type":"string"},"phone_prefix":{"type":"string"}},"type":"object"},"Countries":{"properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CountryData"}}},"type":"object"}},"parameters":{"AccessKey":{"name":"access_key","in":"query","description":"Your API access key, which can be found in your account dashboard.","required":true,"schema":{"type":"string"}},"Callback":{"name":"callback","in":"query","description":"Use this parameter to specify a JSONP callback function name to wrap your API response in.","required":false,"schema":{"type":"string"}},"Limit":{"name":"limit","in":"query","description":"Specify a limit of results to return in your API response. Maximum allowed value is 100 below Professional Plan and 1000 on and above Professional Plan. Default value is 100.","required":false,"schema":{"type":"integer","default":100,"minimum":1}},"Offset":{"name":"offset","in":"query","description":"Specify an offset for pagination. Example: Specifying an offset of 10 in combination with a limit of 10 will show results 10-20. Default offset value is 0, starting with the first available result.","required":false,"schema":{"type":"integer","default":0,"minimum":0}},"Search":{"name":"search","in":"query","description":"Use this parameter to get autocomplete suggestions by specifying any search term as a string. This feature is only available on the Basic Plan and higher.","required":false,"schema":{"type":"string"}}},"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","name":"access_key","in":"query"}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"account_on_hold":{"summary":"account_on_hold","value":{"success":false,"error":{"code":107,"type":"account_on_hold","info":"Your account currently has open invoices and API has been automatically disabled. Please settle your open balance or downgrade to the Free Plan to restore API access. [Support: support@apilayer.com]"}}},"invalid_access_key":{"summary":"invalid_access_key","value":{"success":false,"error":{"code":101,"type":"invalid_access_key","info":"You have not supplied a valid API Access Key. [Technical Support: support@apilayer.com]"}}},"missing_access_key":{"summary":"missing_access_key","value":{"success":false,"error":{"code":101,"type":"missing_access_key","info":"You have not supplied an API Access Key. [Required format: access_key=YOUR_ACCESS_KEY]"}}},"inactive_user":{"summary":"inactive_user","value":{"success":false,"error":{"code":102,"type":"inactive_user","info":"Permission denied - User not active."}}}}}}},"Forbidden":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"https_access_restricted":{"summary":"https_access_restricted","value":{"success":false,"error":{"code":105,"type":"https_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support HTTPS Encryption."}}},"function_access_restricted":{"summary":"function_access_restricted","value":{"success":false,"error":{"code":105,"type":"function_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support this API Function."}}},"api_access_blocked":{"summary":"api_access_blocked","value":{"success":false,"error":{"code":104,"type":"api_access_blocked","info":"Your API access has been temporarily disabled. Please upgrade your Subscription Plan or contact support."}}}}}}},"NotFound":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"invalid_api_function":{"summary":"invalid_api_function","value":{"success":false,"error":{"code":103,"type":"invalid_api_function","info":"This API Function does not exist."}}},"404_not_found":{"summary":"404_not_found","value":{"success":false,"error":{"code":404,"type":"404_not_found","info":"404 - The requested resource could not be found. Please try again or contact support."}}}}}}},"RateLimitReached":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"usage_limit_reached":{"summary":"usage_limit_reached","value":{"success":false,"error":{"code":104,"type":"usage_limit_reached","info":"Your monthly usage limit has been reached. Please upgrade your Subscription Plan."}}},"daily_usage_limit_reached":{"summary":"daily_usage_limit_reached","value":{"success":false,"error":{"code":104,"type":"daily_usage_limit_reached","info":"Your daily usage limit has been reached. Please try again tomorrow or upgrade your subscription plan."}}},"fair_use_limit_reached":{"summary":"fair_use_limit_reached","value":{"success":false,"error":{"code":104,"type":"fair_use_limit_reached","info":"Your fair use limit has been reached. [Please contact support: support@apilayer.com]"}}},"rate_limit_reached":{"summary":"rate_limit_reached","value":{"success":false,"error":{"code":106,"type":"rate_limit_reached","info":"You have exceeded the maximum rate limitation allowed on your subscription plan. Please refer to the \"Rate Limits\" section of the API Documentation for details. "}}}}}}},"InternalError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"internal_error":{"summary":"internal_error","value":{"success":false,"error":{"code":0,"type":"internal_error","info":"An error has occured. [Technical Support: support@apilayer.com]"}}}}}}},"Maintenance":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"},"examples":{"maintenance_mode":{"summary":"maintenance_mode","value":{"success":false,"error":{"code":503,"type":"maintenance_mode","info":""}}}}}}}}}}